/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   liste_chaine.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: yantoine <yantoine@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/02/20 20:03:51 by yantoine          #+#    #+#             */
/*   Updated: 2024/02/23 22:28:49 by yantoine         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */
#include "../../so_long.h"
#include <stdlib.h>

t_Liste	*initialise_liste(void)
{
	t_Element	*element;
	t_Liste		*liste;

	liste = malloc(sizeof(*liste));
	element = malloc(sizeof(*element));
	if (liste == NULL || element == NULL)
		return (NULL);
	element->crdn.x = -1;
	element->crdn.y = -1;
	element->suivant = NULL;
	liste->premier = element;
	return (liste);
}

void	insertion(t_Liste *liste, t_position nV_position)
{
	t_Element	*nouveau;

	nouveau = malloc(sizeof(*nouveau));
	if (nouveau == NULL || liste == NULL)
		exit(EXIT_FAILURE);
	nouveau->crdn = nV_position;
	nouveau->suivant = liste->premier;
	liste->premier = nouveau;
}
